/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "SDL", "index.html", [
    [ "Android", "da/d80/md__r_e_a_d_m_e-android.html", [
      [ "Requirements", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md0", null ],
      [ "How the port works", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md1", null ],
      [ "Building an app", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md2", null ],
      [ "Customizing your application name", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md3", null ],
      [ "Customizing your application icon", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md4", null ],
      [ "Loading assets", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md5", null ],
      [ "Pause / Resume behaviour", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md6", null ],
      [ "Activity lifecycle", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md7", null ],
      [ "Mouse / Touch events", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md8", null ],
      [ "Misc", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md9", null ],
      [ "Threads and the Java VM", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md10", null ],
      [ "Using STL", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md11", null ],
      [ "Using the emulator", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md12", null ],
      [ "Troubleshooting", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md13", null ],
      [ "Memory debugging", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md14", null ],
      [ "Graphics debugging", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md15", null ],
      [ "Why is API level 19 the minimum required?", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md16", null ],
      [ "A note regarding the use of the \"dirty rectangles\" rendering technique", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md17", null ],
      [ "Ending your application", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md18", null ],
      [ "Known issues", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md19", null ],
      [ "Building the SDL tests", "da/d80/md__r_e_a_d_m_e-android.html#autotoc_md20", null ]
    ] ],
    [ "CMake", "d1/d1a/md__r_e_a_d_m_e-cmake.html", [
      [ "Building SDL", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md27", [
        [ "Building SDL tests", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md28", null ]
      ] ],
      [ "Including SDL in your project", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md29", [
        [ "A system SDL library", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md30", null ],
        [ "Using a vendored SDL", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md31", null ]
      ] ],
      [ "CMake configuration options", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md32", [
        [ "Build optimized library", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md33", null ],
        [ "Shared or static", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md34", null ],
        [ "Pass custom compile options to the compiler", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md35", [
          [ "Examples", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md36", null ]
        ] ],
        [ "Apple", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md37", [
          [ "iOS/tvOS/visionOS", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md38", null ],
          [ "Frameworks", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md39", null ],
          [ "Platforms", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md40", null ],
          [ "Universal binaries", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md41", null ],
          [ "Simulators and/or non-default maxOS platform SDK", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md42", null ],
          [ "Examples", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md43", null ]
        ] ]
      ] ],
      [ "SDL-specific CMake options", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md44", null ],
      [ "Help, it doesn't work!", "d1/d1a/md__r_e_a_d_m_e-cmake.html#autotoc_md45", null ]
    ] ],
    [ "Contributing to SDL", "db/d54/md__r_e_a_d_m_e-contributing.html", [
      [ "Filing a GitHub issue", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md47", [
        [ "Reporting a bug", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md48", null ],
        [ "Suggesting enhancements", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md49", null ]
      ] ],
      [ "Contributing code", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md50", [
        [ "Forking the project", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md51", null ],
        [ "Following the style guide", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md52", null ],
        [ "Running the tests", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md53", null ],
        [ "Opening a pull request", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md54", null ]
      ] ],
      [ "Contributing to the documentation", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md55", [
        [ "Editing a function documentation", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md56", null ],
        [ "Editing the wiki", "db/d54/md__r_e_a_d_m_e-contributing.html#autotoc_md57", null ]
      ] ]
    ] ],
    [ "Dynamic API", "db/da4/md__r_e_a_d_m_e-dynapi.html", null ],
    [ "Emscripten", "d9/d28/md__r_e_a_d_m_e-emscripten.html", [
      [ "The state of things", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md60", null ],
      [ "RTFM", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md61", null ],
      [ "Porting your app to Emscripten", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md62", null ],
      [ "Do you need threads?", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md63", null ],
      [ "Audio", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md64", null ],
      [ "Rendering", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md65", null ],
      [ "Building SDL/emscripten", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md66", null ],
      [ "Building your app", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md67", null ],
      [ "Data files", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md68", null ],
      [ "Debugging", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md69", null ],
      [ "Questions?", "d9/d28/md__r_e_a_d_m_e-emscripten.html#autotoc_md70", null ]
    ] ],
    [ "GDK", "d5/dce/md__r_e_a_d_m_e-gdk.html", [
      [ "Requirements", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md71", null ],
      [ "Windows GDK Status", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md72", null ],
      [ "VisualC-GDK Solution", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md73", null ],
      [ "Windows GDK Setup, Detailed Steps", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md74", [
        [ "1. Add a Gaming.Desktop.x64 Configuration", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md75", null ],
        [ "2. Build SDL3 for GDK", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md76", null ],
        [ "3. Configuring Project Settings", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md77", null ],
        [ "4. Setting up SDL_main", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md78", null ],
        [ "5. Required DLLs", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md79", null ],
        [ "6. Setting up MicrosoftGame.config", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md80", null ],
        [ "7. Adding Required Logos", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md81", null ],
        [ "8. Copying any Data Files", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md82", null ],
        [ "9. Build and Run from Visual Studio", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md83", null ],
        [ "10. Packaging and Installing Locally", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md84", null ]
      ] ],
      [ "Xbox GDKX Setup", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md85", null ],
      [ "Troubleshooting", "d5/dce/md__r_e_a_d_m_e-gdk.html#autotoc_md86", null ]
    ] ],
    [ "README-highdpi", "d7/dac/md__r_e_a_d_m_e-highdpi.html", null ],
    [ "iOS", "de/d74/md__r_e_a_d_m_e-ios.html", [
      [ "Building the Simple DirectMedia Layer for iOS 9.0+", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md89", null ],
      [ "Using the Simple DirectMedia Layer for iOS", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md90", null ],
      [ "Notes – Retina / High-DPI and window sizes", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md91", null ],
      [ "Notes – Application events", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md92", null ],
      [ "Notes – Accelerometer as Joystick", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md93", null ],
      [ "Notes – Keyboard", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md94", null ],
      [ "Notes – Mouse", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md95", null ],
      [ "Notes – Reading and Writing files", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md96", null ],
      [ "Notes – xcFramework", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md97", null ],
      [ "Notes – iPhone SDL limitations", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md98", null ],
      [ "Notes – CoreBluetooth.framework", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md99", null ],
      [ "Game Center", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md100", null ],
      [ "Deploying to older versions of iOS", "de/d74/md__r_e_a_d_m_e-ios.html#autotoc_md101", null ]
    ] ],
    [ "KMSDRM on *BSD", "d6/d89/md__r_e_a_d_m_e-kmsbsd.html", [
      [ "SDL WSCONS input backend features", "d6/d89/md__r_e_a_d_m_e-kmsbsd.html#autotoc_md102", null ],
      [ "Partially working or no input on OpenBSD/NetBSD.", "d6/d89/md__r_e_a_d_m_e-kmsbsd.html#autotoc_md103", null ],
      [ "Partially working or no input on FreeBSD.", "d6/d89/md__r_e_a_d_m_e-kmsbsd.html#autotoc_md104", null ]
    ] ],
    [ "Linux", "d7/df1/md__r_e_a_d_m_e-linux.html", [
      [ "Build Dependencies", "d7/df1/md__r_e_a_d_m_e-linux.html#autotoc_md105", null ],
      [ "Joystick does not work", "d7/df1/md__r_e_a_d_m_e-linux.html#autotoc_md106", null ]
    ] ],
    [ "macOS", "de/da0/md__r_e_a_d_m_e-macos.html", [
      [ "Command Line Build", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md108", null ],
      [ "Caveats for using SDL with macOS", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md109", null ],
      [ "Using the Simple DirectMedia Layer with a traditional Makefile", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md110", null ],
      [ "Using the Simple DirectMedia Layer with Xcode", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md111", [
        [ "First steps", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md112", null ],
        [ "Building the Framework", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md113", null ],
        [ "Build Options", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md114", null ],
        [ "Building the Testers", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md115", null ],
        [ "Using the Project Stationary", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md116", null ],
        [ "Setting up a new project by hand", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md117", null ],
        [ "Building from command line", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md118", null ],
        [ "Running your app", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md119", null ]
      ] ],
      [ "Implementation Notes", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md120", [
        [ "Working directory", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md121", null ],
        [ "You have a Cocoa App!", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md122", null ]
      ] ],
      [ "Bug reports", "de/da0/md__r_e_a_d_m_e-macos.html#autotoc_md123", null ]
    ] ],
    [ "Where an SDL program starts running.", "d5/d58/md__r_e_a_d_m_e-main-functions.html", [
      [ "History", "d5/d58/md__r_e_a_d_m_e-main-functions.html#autotoc_md125", null ],
      [ "The main entry point in SDL3", "d5/d58/md__r_e_a_d_m_e-main-functions.html#autotoc_md126", null ],
      [ "Main callbacks in SDL3", "d5/d58/md__r_e_a_d_m_e-main-functions.html#autotoc_md127", null ],
      [ "How to use main callbacks in SDL3", "d5/d58/md__r_e_a_d_m_e-main-functions.html#autotoc_md128", null ]
    ] ],
    [ "Migrating to SDL 3.0", "db/d5d/md__r_e_a_d_m_e-migration.html", [
      [ "SDL_atomic.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md130", null ],
      [ "SDL_audio.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md131", null ],
      [ "SDL_cpuinfo.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md132", null ],
      [ "SDL_error.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md133", null ],
      [ "SDL_events.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md134", null ],
      [ "SDL_gamecontroller.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md135", null ],
      [ "SDL_gesture.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md136", null ],
      [ "SDL_haptic.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md137", null ],
      [ "SDL_hints.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md138", null ],
      [ "SDL_init.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md139", null ],
      [ "SDL_joystick.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md140", null ],
      [ "SDL_keyboard.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md141", null ],
      [ "SDL_keycode.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md142", null ],
      [ "SDL_loadso.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md143", null ],
      [ "SDL_log.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md144", null ],
      [ "SDL_main.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md145", null ],
      [ "SDL_messagebox.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md146", null ],
      [ "SDL_metal.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md147", null ],
      [ "SDL_mouse.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md148", null ],
      [ "SDL_mutex.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md149", null ],
      [ "SDL_pixels.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md150", null ],
      [ "SDL_platform.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md151", null ],
      [ "SDL_rect.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md152", null ],
      [ "SDL_render.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md153", null ],
      [ "SDL_rwops.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md154", null ],
      [ "SDL_sensor.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md155", null ],
      [ "SDL_shape.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md156", null ],
      [ "SDL_stdinc.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md157", null ],
      [ "SDL_surface.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md158", null ],
      [ "SDL_system.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md159", null ],
      [ "SDL_syswm.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md160", null ],
      [ "SDL_thread.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md161", null ],
      [ "SDL_timer.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md162", null ],
      [ "SDL_touch.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md163", null ],
      [ "SDL_version.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md164", null ],
      [ "SDL_video.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md165", null ],
      [ "SDL_vulkan.h", "db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md166", null ]
    ] ],
    [ "Nintendo 3DS", "d4/de9/md__r_e_a_d_m_e-n3ds.html", [
      [ "Building", "d4/de9/md__r_e_a_d_m_e-n3ds.html#autotoc_md168", null ],
      [ "Notes", "d4/de9/md__r_e_a_d_m_e-n3ds.html#autotoc_md169", null ]
    ] ],
    [ "Nokia N-Gage", "d9/dd5/md__r_e_a_d_m_e-ngage.html", [
      [ "Compiling", "d9/dd5/md__r_e_a_d_m_e-ngage.html#autotoc_md170", null ],
      [ "Current level of implementation", "d9/dd5/md__r_e_a_d_m_e-ngage.html#autotoc_md171", null ],
      [ "Acknowledgements", "d9/dd5/md__r_e_a_d_m_e-ngage.html#autotoc_md172", null ]
    ] ],
    [ "Platforms", "d7/d28/md__r_e_a_d_m_e-platforms.html", null ],
    [ "Porting", "da/d02/md__r_e_a_d_m_e-porting.html", null ],
    [ "PS2", "df/ded/md__r_e_a_d_m_e-ps2.html", [
      [ "Building", "df/ded/md__r_e_a_d_m_e-ps2.html#autotoc_md173", null ],
      [ "Hints", "df/ded/md__r_e_a_d_m_e-ps2.html#autotoc_md174", null ],
      [ "Notes", "df/ded/md__r_e_a_d_m_e-ps2.html#autotoc_md175", null ],
      [ "Getting PS2 Dev", "df/ded/md__r_e_a_d_m_e-ps2.html#autotoc_md176", null ],
      [ "Running on PCSX2 Emulator", "df/ded/md__r_e_a_d_m_e-ps2.html#autotoc_md177", null ],
      [ "To Do", "df/ded/md__r_e_a_d_m_e-ps2.html#autotoc_md178", null ]
    ] ],
    [ "PSP", "d4/da6/md__r_e_a_d_m_e-psp.html", [
      [ "Building", "d4/da6/md__r_e_a_d_m_e-psp.html#autotoc_md179", null ],
      [ "Getting PSP Dev", "d4/da6/md__r_e_a_d_m_e-psp.html#autotoc_md180", null ],
      [ "Running on PPSSPP Emulator", "d4/da6/md__r_e_a_d_m_e-psp.html#autotoc_md181", null ],
      [ "Compiling a HelloWorld", "d4/da6/md__r_e_a_d_m_e-psp.html#autotoc_md182", null ],
      [ "To Do", "d4/da6/md__r_e_a_d_m_e-psp.html#autotoc_md183", null ]
    ] ],
    [ "Raspberry Pi", "db/dee/md__r_e_a_d_m_e-raspberrypi.html", [
      [ "Features", "db/dee/md__r_e_a_d_m_e-raspberrypi.html#autotoc_md184", null ],
      [ "Raspbian Build Dependencies", "db/dee/md__r_e_a_d_m_e-raspberrypi.html#autotoc_md185", null ],
      [ "NEON", "db/dee/md__r_e_a_d_m_e-raspberrypi.html#autotoc_md186", null ],
      [ "Cross compiling from x86 Linux", "db/dee/md__r_e_a_d_m_e-raspberrypi.html#autotoc_md187", null ],
      [ "Apps don't work or poor video/audio performance", "db/dee/md__r_e_a_d_m_e-raspberrypi.html#autotoc_md188", null ],
      [ "No input", "db/dee/md__r_e_a_d_m_e-raspberrypi.html#autotoc_md189", null ],
      [ "No HDMI Audio", "db/dee/md__r_e_a_d_m_e-raspberrypi.html#autotoc_md190", null ],
      [ "Text Input API support", "db/dee/md__r_e_a_d_m_e-raspberrypi.html#autotoc_md191", null ],
      [ "OpenGL problems", "db/dee/md__r_e_a_d_m_e-raspberrypi.html#autotoc_md192", null ],
      [ "Notes", "db/dee/md__r_e_a_d_m_e-raspberrypi.html#autotoc_md193", null ]
    ] ],
    [ "RISC OS", "da/d4e/md__r_e_a_d_m_e-riscos.html", [
      [ "Compiling:", "da/d4e/md__r_e_a_d_m_e-riscos.html#autotoc_md194", null ],
      [ "Current level of implementation", "da/d4e/md__r_e_a_d_m_e-riscos.html#autotoc_md195", null ]
    ] ],
    [ "Touch", "dd/ddd/md__r_e_a_d_m_e-touch.html", [
      [ "System Specific Notes", "dd/ddd/md__r_e_a_d_m_e-touch.html#autotoc_md196", null ],
      [ "Events", "dd/ddd/md__r_e_a_d_m_e-touch.html#autotoc_md198", null ],
      [ "Functions", "dd/ddd/md__r_e_a_d_m_e-touch.html#autotoc_md200", null ]
    ] ],
    [ "Versioning", "d5/de4/md__r_e_a_d_m_e-versions.html", [
      [ "Since 2.23.0", "d5/de4/md__r_e_a_d_m_e-versions.html#autotoc_md202", null ],
      [ "Before 2.23.0", "d5/de4/md__r_e_a_d_m_e-versions.html#autotoc_md203", null ]
    ] ],
    [ "Using SDL with Microsoft Visual C++", "d0/df7/md__r_e_a_d_m_e-visualc.html", null ],
    [ "PS Vita", "d1/dc4/md__r_e_a_d_m_e-vita.html", [
      [ "Building", "d1/dc4/md__r_e_a_d_m_e-vita.html#autotoc_md210", null ],
      [ "Notes", "d1/dc4/md__r_e_a_d_m_e-vita.html#autotoc_md211", null ]
    ] ],
    [ "Wayland", "da/d70/md__r_e_a_d_m_e-wayland.html", [
      [ "Common issues:", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md212", [
        [ "Legacy, DPI-unaware applications are blurry", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md213", null ],
        [ "Window decorations are missing, or the decorations look strange", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md214", null ],
        [ "Windows do not appear immediately after creation", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md215", null ],
        [ "<tt>SDL_SetWindowPosition()</tt> doesn't work on non-popup windows", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md216", null ],
        [ "Retrieving the global mouse cursor position when the cursor is outside a window doesn't work", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md217", null ],
        [ "Warping the global mouse cursor position via <tt>SDL_WarpMouseGlobal()</tt> doesn't work", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md218", null ],
        [ "The application icon can't be set via <tt>SDL_SetWindowIcon()</tt>", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md219", null ]
      ] ],
      [ "Using custom Wayland windowing protocols with SDL windows", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md220", null ],
      [ "Importing external surfaces into SDL windows", "da/d70/md__r_e_a_d_m_e-wayland.html#autotoc_md221", null ]
    ] ],
    [ "Windows", "d1/d19/md__r_e_a_d_m_e-windows.html", [
      [ "LLVM and Intel C++ compiler support", "d1/d19/md__r_e_a_d_m_e-windows.html#autotoc_md223", null ],
      [ "OpenGL ES 2.x support", "d1/d19/md__r_e_a_d_m_e-windows.html#autotoc_md224", null ],
      [ "Vulkan Surface Support", "d1/d19/md__r_e_a_d_m_e-windows.html#autotoc_md225", null ],
      [ "Transparent Window Support", "d1/d19/md__r_e_a_d_m_e-windows.html#autotoc_md226", null ]
    ] ],
    [ "WinRT", "db/dff/md__r_e_a_d_m_e-winrt.html", [
      [ "Requirements", "db/dff/md__r_e_a_d_m_e-winrt.html#autotoc_md227", null ],
      [ "Status", "db/dff/md__r_e_a_d_m_e-winrt.html#autotoc_md228", null ],
      [ "Upgrade Notes", "db/dff/md__r_e_a_d_m_e-winrt.html#autotoc_md229", null ],
      [ "Setup, High-Level Steps", "db/dff/md__r_e_a_d_m_e-winrt.html#autotoc_md231", null ],
      [ "Setup, Detailed Steps", "db/dff/md__r_e_a_d_m_e-winrt.html#autotoc_md232", [
        [ "1. Create a new project", "db/dff/md__r_e_a_d_m_e-winrt.html#autotoc_md233", null ],
        [ "2. Remove unneeded files from the project", "db/dff/md__r_e_a_d_m_e-winrt.html#autotoc_md234", null ],
        [ "3. Add references to SDL's project files", "db/dff/md__r_e_a_d_m_e-winrt.html#autotoc_md235", null ],
        [ "4. Adjust Your App's Build Settings", "db/dff/md__r_e_a_d_m_e-winrt.html#autotoc_md236", null ],
        [ "5. Add a WinRT-appropriate main function, and a blank-cursor image, to the app.", "db/dff/md__r_e_a_d_m_e-winrt.html#autotoc_md237", null ],
        [ "6. Add app code and assets", "db/dff/md__r_e_a_d_m_e-winrt.html#autotoc_md238", [
          [ "6.A. ... when creating a new app", "db/dff/md__r_e_a_d_m_e-winrt.html#autotoc_md239", null ],
          [ "6.B. Adding code and assets", "db/dff/md__r_e_a_d_m_e-winrt.html#autotoc_md240", null ]
        ] ],
        [ "7. Build and run your app", "db/dff/md__r_e_a_d_m_e-winrt.html#autotoc_md241", [
          [ "7.A. Running apps on older, ARM-based, \"Windows RT\" devices", "db/dff/md__r_e_a_d_m_e-winrt.html#autotoc_md242", null ]
        ] ]
      ] ],
      [ "Troubleshooting", "db/dff/md__r_e_a_d_m_e-winrt.html#autotoc_md243", null ]
    ] ],
    [ "Simple DirectMedia Layer", "d3/dcc/md__r_e_a_d_m_e.html", null ],
    [ "Topics", "topics.html", "topics" ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Structure Index", "classes.html", null ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Variables", "functions_vars.html", "functions_vars" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", "globals_eval" ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"d1/d16/struct_s_d_l___display_mode.html#a2789729500952c279ba3788e4aef13b0",
"d3/d15/struct_s_d_l___joy_axis_event.html#ad671159489f01b1ebe20b7b9a5817a15",
"d3/dea/_s_d_l__oldnames_8h.html#a230536ea86dc7d09d168b455fd07f9b5",
"d3/dea/_s_d_l__oldnames_8h.html#aac2deb8d7982b66ea0d71b0a670a7610",
"d4/d80/union_s_d_l___haptic_effect.html#a5ff6cfd8da91537091e9a6c2108cb179",
"d5/df2/_s_d_l__keycode_8h.html#a179ce01fa41d35408f06b4b3d1cd9d3da12786f0d557629d2224d690d6bd25886",
"d5/df2/_s_d_l__keycode_8h.html#afa050ad71f0a5b86aa05cb13f542d747adfcb4be5656a485d80ae5da31f987d5a",
"d6/dd4/_s_d_l__loadso_8h.html#a71884f5d58300d0a16d679b22d6e262c",
"d8/d6a/_s_d_l__pixels_8h.html#a59d2ee19b4701f488577d065629a4f19ad6c8e0e291f2fe47506415ec225bb729",
"d8/d8d/struct_s_d_l_test___common_state.html#adc94ae1febd2aa3fa4b190cd0f8cb546",
"d9/d24/_s_d_l__stdinc_8h.html#aa536c5acdc4c524dea6a97b0ea7e624a",
"d9/d42/_s_d_l__events_8h.html#ab34668d5cbf8037e990fcfa8c620c9a9",
"db/d5d/md__r_e_a_d_m_e-migration.html#autotoc_md144",
"dc/d64/_s_d_l__video_8h.html#a0675ee6a9f69485f4a72d104eafc905d",
"dc/d64/_s_d_l__video_8h.html#af2b86ebfae9cd2f87ea6c18dd109dbdea5b1e627bf8f8be31d62292681f42694b",
"dd/dd3/_s_d_l__hints_8h.html#a1dd9dddd7db2fb38cd9be60b8c06c24d",
"de/d46/struct_s_d_l___haptic_custom.html#aa4fbaf7220f3197aa6631b3e64ad6562",
"df/d4a/_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777ba8467d5f993ef86523d0cdfceeffafbcf",
"globals_defs_c.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';